Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.api
Interface ECReports

public interface ECReports

An ECReports object is generated by a single activation of an event cycle within the ALE engine. The contents of the report are defined by the event cycle specification (`ECSpec`) that defined the event cycle.

Method Summary
`java.lang.String` | `getALEID()` An Identifier for the deployed instance of the ALE implementation.
`java.lang.String` | `getApplicationData()` Gets the application data String provided in the ECSpec.
`ECCountReport` | `getCountReport(java.lang.String name)` Deprecated. Use `getReport(String)`
`java.util.List` | `getCountReports()` Deprecated. Use `getReports()`
`long` | `getDate()` Gets the time the report was generated.
`ECSpec` | `getECSpec()` ECSpec used to generate the report.
`java.util.List` | `getFailedLogicalReaderNames()` Gets the list of logical readers which had some sort of failure during the event cycle which generated this report.
`ECListReport` | `getListReport(java.lang.String name)` Deprecated. Use `getReport(String)`
`java.util.List` | `getListReports()` Deprecated. Use `getReports()`
`java.util.List` | `getPhysicalReaderNames()` Gets the list of physical readers which contributed to this report.
`ECReport` | `getReport(java.lang.String reportName)` Returns the ECReport with matching reportName, null if not found.
`java.util.List` | `getReports()` Returns a list of ECReport
`java.lang.String` | `getSavantID()` Deprecated. Use `getALEID()`
`java.lang.String` | `getSchemaURL()` The URL where the schema used by the implementation may be retrieved.
`java.lang.String` | `getSpecName()` Gets the name of the ECSpec which described this report.
`ECTerminationCondition` | `getTerminationCondition()` Gets the condition which terminated the event cycle activation.
`long` | `getTotalMilliseconds()` Gets the total time in milliseconds during which the event cycle was active.
`int` | `getTotalReadCycles()` Gets the total number of read cycles for which the event cycle was active.

Method Detail

### getPhysicalReaderNames

    public java.util.List getPhysicalReaderNames()

  Gets the list of physical readers which contributed to this report.

  Returns:
    a List of String objects containing physical reader names.

### getFailedLogicalReaderNames

    public java.util.List getFailedLogicalReaderNames()

  Gets the list of logical readers which had some sort of failure during the event cycle which generated this report.

  Returns:
    a List of String objects containing logical reader names.

### getDate

    public long getDate()

  Gets the time the report was generated.

  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis()

### getSpecName

    public java.lang.String getSpecName()

  Gets the name of the ECSpec which described this report.

### getSavantID

    public java.lang.String getSavantID()

  Deprecated. Use `getALEID()`

  Gets an identifier for the savant which generated this report.

### getALEID

    public java.lang.String getALEID()

  An Identifier for the deployed instance of the ALE implementation.

  Returns:
    String representing the ALE instance ID

### getTerminationCondition

    public ECTerminationCondition getTerminationCondition()

  Gets the condition which terminated the event cycle activation.

### getTotalMilliseconds

    public long getTotalMilliseconds()

  Gets the total time in milliseconds during which the event cycle was active.

### getTotalReadCycles

    public int getTotalReadCycles()

  Gets the total number of read cycles for which the event cycle was active.

### getListReports

    public java.util.List getListReports()

  Deprecated. Use `getReports()`

  Gets the list of all reports with ECReportType LIST.

  Returns:
    a List of ECListReport objects.

### getListReport

    public ECListReport getListReport(java.lang.String name)

  Deprecated. Use `getReport(String)`

  Gets an ECListReport with the given name.

  Returns:
    An ECListReport object if any exists with this name, or null otherwise.

### getCountReports

    public java.util.List getCountReports()

  Deprecated. Use `getReports()`

  Gets the list of all reports with ECReportType COUNT.

  Returns:
    a List of ECCountReport objects.

### getCountReport

    public ECCountReport getCountReport(java.lang.String name)

  Deprecated. Use `getReport(String)`

  Gets an ECCountReport with the given name.

  Returns:
    An ECCountReport object if any exists with this name, or null otherwise.

### getApplicationData

    public java.lang.String getApplicationData()

  Gets the application data String provided in the ECSpec.

### getECSpec

    public ECSpec getECSpec()

  ECSpec used to generate the report. This is set if includeSpecInReport was true in the ECSpec that generated the report, null otherwise.

  Returns:
    ECSpec used to generate this report

### getSchemaURL

    public java.lang.String getSchemaURL()

  The URL where the schema used by the implementation may be retrieved. Points to the ConnecTerra modified EPCglobal ALE Schema.

  Returns:
    implementation schema URL

### getReports

    public java.util.List getReports()

  Returns a list of ECReport

  Returns:
    List of ECReport

### getReport

    public ECReport getReport(java.lang.String reportName)

  Returns the ECReport with matching reportName, null if not found.

  Parameters:
    `reportName` -
  Returns:
    ECReport with the specifed report name, null if not found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD